clear all;

% nacteme PLY soubor
% load the ply file

[plyFile,plyPath]=uigetfile('*.ply',...
    'Select the ply file');



%zjistime, jak je dlouha hlavicka
% find out, how long the header is
fname = strcat(plyPath,plyFile);
pfile = fopen(fname);
for n = 1:50
   
    hstring = fgetl(pfile);
    if(strcmp(hstring,'end_header'))
       break; 
    end
    
end
fclose(pfile);

%import file

input = importdata(strcat(plyPath,plyFile),' ',n);

data = input.data;

%ulozime jako ascii
%save as ascii

save(strrep(plyFile,'.ply','.asc'),'data','-ascii');

% and also as a pcd file (PCL library, pointclouds.org)
pfile = fopen(strrep(plyFile,'.ply','.pcd'),'w+');

fprintf(pfile,'# .PCD v.7 - Point Cloud Data file format\n');
fprintf(pfile,'VERSION .7\n');
fprintf(pfile,'FIELDS x y z\n');
fprintf(pfile,'SIZE 4 4 4\n');
fprintf(pfile,'TYPE F F F\n');
fprintf(pfile,'COUNT 1 1 1\n');
fprintf(pfile,'WIDTH %d\n', size(data,1));
fprintf(pfile,'HEIGHT 1\n');
fprintf(pfile,'VIEWPOINT 0 0 0 1 0 0 0\n');
fprintf(pfile,'POINTS %d\n',size(data,1));
fprintf(pfile,'DATA ascii\n');


for n = 1:size(data,1)
   
        fprintf(pfile, '%f %f %f\n', data(n,1),data(n,2),data(n,3));
end



fclose(pfile);

