% this script loads files with points from planes, which were selecte and
% saved during lasercamcalib calibration. The output is a single file
% containing cell with these points. It is destined for calibration
% verification.

clear all;

% nacist zaklad jmena souboru lidaru
% load file basename of the lidar
lbasename=input('Enter basename of files \n with the point clouds (without number or suffix): ','s');

if(isempty(lbasename))
    disp('Nothing entered, aborting');
    
    break;
end

fprintf('Basename: %s \n',lbasename)

% nacist priponu
% load suffix
lsuffix=input('Enter suffix of the files \n with the calibration planes laser points: ','s');
if(isempty(lsuffix))
    disp('Nothing entered, aborting.');
    break;
end

fprintf('Suffix: %s \n',lsuffix)

lsuffix = strcat('.',lsuffix);

% nacist nejvetsi cislo u souboru
% load the highest filenumber
lmaxnum=input('Enter the highest number \n of the laser point file: ');

if((lmaxnum - round(lmaxnum)) ~= 0)
    disp('Must be integer, aborting.');
    break;
elseif (lmaxnum < 0) 
    disp('Must be positive, aborting.');
    break;    

end

% nacist jmeno vystupu
% load an output filename

outputfile = input('Enter the output filename: ','s');
if(isempty(outputfile))
    disp('Nothing entered, aborting.');
    break;
end


% naplnit cell body ze souboru
% fill the cell by the laser points

lpointClouds = cell(lmaxnum,1);
temp = -1;
found = 0;

for n = 1:lmaxnum
    
    temp = 0;
    
    lpointClouds{n}.filled = 0;
    lpointClouds{n}.points = -1;
    
    temp=dir([lbasename sprintf('%d',n) lsuffix]);
    if(~size(temp,1))
    disp(['File ' strcat(lbasename, sprintf('%d',n), lsuffix) ...
        ' not found, skipping.']);
        continue;
    end
    
    temp = load('-mat',strcat(lbasename, sprintf('%d',n), lsuffix));
    
    found = 1;
    lpointClouds{n}.points = temp.region;
    lpointClouds{n}.filled = 1;    
    
end

if (found)
    fprintf('Writing to %s.mat \n',outputfile);
    save(strcat(outputfile,'.mat'),'lpointClouds');
    clear;
    disp('Done.');

else
    fprintf('No files found, aborting.\n');
    clear;

end;








